WordPress.org

Forums

WebsiteDefender WordPress Security
Notice: bbp_setup_current_user was called incorrectly. (1 post)

  1. DLS Software Studios
    Member
    Posted 1 year ago #

    I am getting the following error when your plugin is active...

    Notice: bbp_setup_current_user was called incorrectly. The current user is being initialized without using $wp->init(). Please see Debugging in WordPress for more information. (This message was added in version 2.3.) in /path/to/wordpress/wp-includes/functions.php on line 3245

    Checking the error trace it's caused from the call of acxUtil::hideWpVersionBackend( ). Related to this I am also getting "wp_enqueue_script was called incorrectly".

    This appears to be happening because the plugin is calling methods like acxUtil::hideWpVersionBackend( ) without going through the WordPress add_action() which seems to be causing the issue.

    https://wordpress.org/plugins/websitedefender-wordpress-security/

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

  • RSS feed for this topic
  • Started 1 year ago by DLS Software Studios
  • This topic is not resolved
  • WordPress version: 3.9.1

Tags

No tags yet.